Applify 0.15 Pass

Tested by Chris Williams (BINGOS), 20. Dec 2018,

  1. Program output
  2. Tester comments
  3. Prerequisites
  4. Environment and other context
  5. More reports...

This distribution has been tested as part of the CPAN Testers project, supporting the Perl programming language. See http://wiki.cpantesters.org/ for more information or email questions to cpan-testers-discuss@perl.org

--

Dear Jan Henning Thorsen,

This is a computer-generated error report created automatically by CPANPLUS, version 0.9176. Testers personal comments may appear at the end of this report.

Thank you for uploading your work to CPAN. Congratulations! All tests were successful.

TEST RESULTS:

Below is the error stack from stage 'make test':

PERL_DL_NONLAZY=1 "/usr/home/cpan/pit/64bit/perl-5.20.0/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/00-basic.t ....... ok t/alias.t .......... ok t/autoload.t ....... ok t/constant.t ....... ok t/example-test1.t .. ok t/exits.t .......... ok t/export.t ......... ok t/extends.t ........ ok t/file-dir.t ....... ok t/help.t ........... ok t/moose.t .......... skipped: Moose is not available t/n_of.t ........... ok t/options.t ........ ok t/subcommand.t ..... ok t/version.t ........ ok All tests successful.

Test Summary Report ------------------- t/options.t (Wstat: 0 Tests: 20 Failed: 0) TODO passed: 18-19 Files=15, Tests=136, 2 wallclock secs ( 0.08 usr 0.01 sys + 1.64 cusr 0.27 csys = 2.00 CPU) Result: PASS

PREREQUISITES:

Here is a list of prerequisites you specified and versions we managed to load:

Module Name Have Want Cwd 3.75 0 File::Basename 2.85 0 Getopt::Long 2.42 0 Test::More 1.302140 0.88

Perl module toolchain versions installed: Module Name Have CPANPLUS 0.9176 CPANPLUS::Dist::Build 0.90 Cwd 3.75 ExtUtils::CBuilder 0.280230 ExtUtils::Command 7.34 ExtUtils::Install 2.14 ExtUtils::MakeMaker 7.34 ExtUtils::Manifest 1.71 ExtUtils::ParseXS 3.35 File::Spec 3.75 Module::Build 0.4224 Pod::Parser 1.62 Pod::Simple 3.28 Test2 1.302140 Test::Harness 3.42 Test::More 1.302140 version 0.9924

******************************** NOTE ******************************** The comments above are created mechanically, possibly without manual checking by the sender. As there are many people performing automatic tests on each upload to CPAN, it is likely that you will receive identical messages about the same problem.

If you believe that the message is mistaken, please reply to the first one with correction and/or additional informations, and do not take it personally. We appreciate your patience. :) **********************************************************************

Additional comments:

This report was machine-generated by CPANPLUS::Dist::YACSmoke 1.02. Powered by minismokebox version 0.68

Program output



  

Prerequisites

Requires

Build requires

Configure requires

Tester comments

Environment and other context

Environment variables:

    AUTOMATED_TESTING = 1
    NONINTERACTIVE_TESTING = 1
    PATH = /sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/home/cpan/bin
    PERL5LIB = :/usr/home/cpan/pit/64bit/conf/perl-5.20.0/.cpanplus/5.20.0/build/VHS2bt6EyM/Applify-0.15/blib/lib:/usr/home/cpan/pit/64bit/conf/perl-5.20.0/.cpanplus/5.20.0/build/VHS2bt6EyM/Applify-0.15/blib/arch
    PERL5_CPANPLUS_IS_RUNNING = 26106
    PERL5_CPANPLUS_IS_VERSION = 0.9176
    PERL5_MINISMOKEBOX = 0.68
    PERL5_YACSMOKE_BASE = /usr/home/cpan/pit/64bit/conf/perl-5.20.0
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/local/bin/bash
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    Perl: $^X = /usr/home/cpan/pit/64bit/perl-5.20.0/bin/perl
    UID:  $<  = 1002
    EUID: $>  = 1002
    GID:  $(  = 1002 1002
    EGID: $)  = 1002 1002


-------------------------------


--

Summary of my perl5 (revision 5 version 20 subversion 0) configuration:
   
  Platform:
    osname=freebsd, osvers=10.3-release-p2, archname=i386-freebsd-64int
    uname='freebsd froggle 10.3-release-p2 freebsd 10.3-release-p2 #0: wed may 4 14:06:02 utc 2016 root@amd64-builder.daemonology.net:usrobjusrsrcsysgeneric i386 '
    config_args='-des -Dprefix=/usr/home/cpan/pit/64bit/perl-5.20.0 -Duse64bitint'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    use64bitint=define, use64bitall=undef, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include',
    optimize='-O',
    cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.2.1 Compatible FreeBSD Clang 3.4.1 (tags/RELEASE_34/dot1-final 208032)', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=4, prototype=define
  Linker and Libraries:
    ld='cc', ldflags ='-Wl,-E  -fstack-protector -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib /usr/include/clang/3.4.1 /usr/lib
    libs=-lgdbm -lm -lcrypt -lutil -lc
    perllibs=-lm -lcrypt -lutil -lc
    libc=, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags='-DPIC -fPIC', lddlflags='-shared  -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP
                        PERL_NEW_COPY_ON_WRITE PERL_PRESERVE_IVUV
                        USE_64_BIT_INT USE_LARGE_FILES USE_LOCALE
                        USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_PERLIO USE_PERL_ATOF
  Locally applied patches:
	Devel::PatchPerl 1.42
  Built under freebsd
  Compiled at May  9 2016 01:22:41
  %ENV:
    PERL5LIB=":/usr/home/cpan/pit/64bit/conf/perl-5.20.0/.cpanplus/5.20.0/build/VHS2bt6EyM/Applify-0.15/blib/lib:/usr/home/cpan/pit/64bit/conf/perl-5.20.0/.cpanplus/5.20.0/build/VHS2bt6EyM/Applify-0.15/blib/arch"
    PERL5_CPANPLUS_IS_RUNNING="26106"
    PERL5_CPANPLUS_IS_VERSION="0.9176"
    PERL5_MINISMOKEBOX="0.68"
    PERL5_YACSMOKE_BASE="/usr/home/cpan/pit/64bit/conf/perl-5.20.0"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /usr/home/cpan/pit/64bit/conf/perl-5.20.0/.cpanplus/5.20.0/build/VHS2bt6EyM/Applify-0.15/blib/lib
    /usr/home/cpan/pit/64bit/conf/perl-5.20.0/.cpanplus/5.20.0/build/VHS2bt6EyM/Applify-0.15/blib/arch
    /usr/home/cpan/pit/64bit/perl-5.20.0/lib/site_perl/5.20.0/i386-freebsd-64int
    /usr/home/cpan/pit/64bit/perl-5.20.0/lib/site_perl/5.20.0
    /usr/home/cpan/pit/64bit/perl-5.20.0/lib/5.20.0/i386-freebsd-64int
    /usr/home/cpan/pit/64bit/perl-5.20.0/lib/5.20.0